function $AdfXmlLogWriter$$($domWindow$$14$$, $backupLogWriter$$7$$) {
  this.Init($domWindow$$14$$, $backupLogWriter$$7$$);
}
$goog$exportSymbol$$("AdfXmlLogWriter", $AdfXmlLogWriter$$);
$AdfObject$$.$createSubclass$($AdfXmlLogWriter$$, $AdfBufferedLogWriter$$);
$AdfXmlLogWriter$$.prototype.Init = function $$AdfXmlLogWriter$$$$Init$($domWindow$$15$$, $backupLogWriter$$8$$) {
  $AdfAssert$$.$assertPrototype$($backupLogWriter$$8$$, $AdfLogWriter$$);
  $AdfXmlLogWriter$$.$superclass$.Init.call(this);
  this.$_backupLogWriter$ = $backupLogWriter$$8$$;
  this.$_window$ = $domWindow$$15$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.Init", {Init:$AdfXmlLogWriter$$.prototype.Init});
$AdfXmlLogWriter$$.prototype.flush = function $$AdfXmlLogWriter$$$$flush$() {
  this.$CheckIfClosed$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.flush", {flush:$AdfXmlLogWriter$$.prototype.flush});
$AdfClientFileLogWriter$$.prototype.$closeRecord$ = function $$AdfClientFileLogWriter$$$$$closeRecord$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfClientFileLogWriter.prototype.closeRecord", {$closeRecord$:$AdfClientFileLogWriter$$.prototype.$closeRecord$});
$AdfXmlLogWriter$$.prototype.$GenerateHeaderXml$ = function $$AdfXmlLogWriter$$$$$GenerateHeaderXml$$() {
  return $AdfXmlLogWriter$$.$_XML_FILE_HEADER$ + $AdfXmlLogWriter$$.$START_TAG$ + "\n" + $AdfXmlLogWriter$$.$_PROFILER_VERSION$ + $AdfXmlLogWriter$$.$_BROWSER_VERSION$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.GenerateHeaderXml", {$GenerateHeaderXml$:$AdfXmlLogWriter$$.prototype.$GenerateHeaderXml$});
$AdfXmlLogWriter$$.prototype.$GetWindow$ = function $$AdfXmlLogWriter$$$$$GetWindow$$() {
  return this.$_window$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.GetWindow", {$GetWindow$:$AdfXmlLogWriter$$.prototype.$GetWindow$});
$AdfXmlLogWriter$$.prototype.$GenerateRecordXml$ = function $$AdfXmlLogWriter$$$$$GenerateRecordXml$$($date$$4_i$$66$$, $ecid$$, $page$$6$$, $path$$8$$, $logArray$$1$$) {
  var $logString$$3$$ = "";
  if ($logArray$$1$$.length) {
    $logString$$3$$ = "\x3crecord\x3e\n\t\x3cheader\x3e\n\t\t\x3cdate\x3e" + $date$$4_i$$66$$.toUTCString() + "\x3c/date\x3e\n\t\t\x3cecId\x3e" + $ecid$$ + "\x3c/ecId\x3e\n\t\t\x3cpage\x3e" + $page$$6$$ + "\x3c/page\x3e\n\t\t\x3cserverHost\x3e" + this.$_window$.location.host + "\x3c/serverHost\x3e\n\t\t\x3cpath\x3e" + $path$$8$$ + "\x3c/path\x3e\n\t\x3c/header\x3e\n";
    for ($date$$4_i$$66$$ = 0;$date$$4_i$$66$$ < $logArray$$1$$.length;$date$$4_i$$66$$++) {
      $logArray$$1$$[$date$$4_i$$66$$] = this.$FormatLogRecord$($logArray$$1$$[$date$$4_i$$66$$]);
    }
    $logString$$3$$ += $logArray$$1$$.join("\n");
    $logString$$3$$ += "\n\x3c/record\x3e\n";
  }
  return $logString$$3$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.GenerateRecordXml", {$GenerateRecordXml$:$AdfXmlLogWriter$$.prototype.$GenerateRecordXml$});
$AdfXmlLogWriter$$.prototype.$FormatMessage$ = function $$AdfXmlLogWriter$$$$$FormatMessage$$($message$$47_messageArray$$) {
  $message$$47_messageArray$$ = $message$$47_messageArray$$.split(";");
  var $result$$4$$ = "", $arrayLength$$1$$ = $message$$47_messageArray$$.length;
  if (2 > $arrayLength$$1$$) {
    return $result$$4$$;
  }
  $message$$47_messageArray$$[0] && ($result$$4$$ += "\t\t\t\x3cdescription\x3e\x3c![CDATA[" + $message$$47_messageArray$$[0] + "]]\x3e\x3c/description\x3e\n");
  $message$$47_messageArray$$[1] && ($result$$4$$ += "\t\t\t\x3ctimestamp\x3e" + $message$$47_messageArray$$[1] + "\x3c/timestamp\x3e\n");
  $message$$47_messageArray$$[2] && ($result$$4$$ += "\t\t\t\x3ctiming\x3e" + $message$$47_messageArray$$[2] + "\x3c/timing\x3e\n");
  for (i = 3;i < $arrayLength$$1$$;++i) {
    $result$$4$$ += "\t\t\t" + $message$$47_messageArray$$[i] + "\n";
  }
  return $result$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.FormatMessage", {$FormatMessage$:$AdfXmlLogWriter$$.prototype.$FormatMessage$});
$AdfXmlLogWriter$$.prototype.$FormatLogRecord$ = function $$AdfXmlLogWriter$$$$$FormatLogRecord$$($logRecord$$12$$) {
  this.$FormatLevel$($logRecord$$12$$[$AdfLogRecord$$.$LEVEL_FIELD$]);
  var $formatted$$1$$ = "\t\x3centry\x3e\n\t\t\x3ctime\x3e" + this.$FormatWhen$($logRecord$$12$$[$AdfLogRecord$$.$WHEN_FIELD$]) + "\x3c/time\x3e\n", $error$$12$$ = this.$FormatError$($logRecord$$12$$[$AdfLogRecord$$.$ERROR_FIELD$]);
  $error$$12$$ && ($formatted$$1$$ += "\t\t\x3cerror\x3e" + $error$$12$$ + "\x3c/error\x3e\n");
  return $formatted$$1$$ += "\t\t\x3cmessage\x3e\n" + this.$FormatMessage$($logRecord$$12$$[$AdfLogRecord$$.$MESSAGE_FIELD$]) + "\t\t\x3c/message\x3e\n\t\x3c/entry\x3e";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.FormatLogRecord", {$FormatLogRecord$:$AdfXmlLogWriter$$.prototype.$FormatLogRecord$});
$AdfXmlLogWriter$$.prototype.$FormatWhen$ = function $$AdfXmlLogWriter$$$$$FormatWhen$$($when$$8$$) {
  $when$$8$$ || ($when$$8$$ = new Date);
  return $when$$8$$.getUTCHours() + ":" + $when$$8$$.getUTCMinutes() + ":" + $when$$8$$.getUTCSeconds() + "." + $when$$8$$.getUTCMilliseconds();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.FormatWhen", {$FormatWhen$:$AdfXmlLogWriter$$.prototype.$FormatWhen$});
$AdfXmlLogWriter$$.prototype.$LogToBackupLogWriter$ = function $$AdfXmlLogWriter$$$$$LogToBackupLogWriter$$($message$$48$$) {
  this.$_backupLogWriter$.$publish$(new $AdfLogRecord$$($AdfLogger$$.WARNING, $message$$48$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfXmlLogWriter.prototype.LogToBackupLogWriter", {$LogToBackupLogWriter$:$AdfXmlLogWriter$$.prototype.$LogToBackupLogWriter$});
$AdfXmlLogWriter$$.$_XML_FILE_HEADER$ = '\x3c?xml version \x3d"1.0" encoding\x3d"ISO-8859-1"?\x3e\n';
$AdfXmlLogWriter$$.$_PROFILER_VERSION$ = '\x3cAdfRcProfiler version\x3d"4.0"/\x3e\n';
$AdfXmlLogWriter$$.$_BROWSER_VERSION$ = "\x3cbrowser\x3e" + navigator.appName + " " + navigator.appVersion + "\x3c/browser\x3e\n";
$AdfXmlLogWriter$$.$START_TAG$ = "\x3clog\x3e";
$goog$exportSymbol$$("AdfXmlLogWriter.START_TAG", $AdfXmlLogWriter$$.$START_TAG$);
$AdfXmlLogWriter$$.$END_TAG$ = "\x3c/log\x3e";
$goog$exportSymbol$$("AdfXmlLogWriter.END_TAG", $AdfXmlLogWriter$$.$END_TAG$);
